Index: branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/RedoViewExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/RedoViewExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/RedoViewExtension.java	(revision 38564)
@@ -44,8 +44,6 @@
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.plugins.Extension;
 import org.gvsig.app.project.documents.view.gui.DefaultViewPanel;
-import org.gvsig.fmap.dal.exception.DataException;
-import org.gvsig.fmap.dal.exception.ReadException;
 import org.gvsig.fmap.mapcontext.layers.FLayer;
 import org.gvsig.fmap.mapcontext.layers.FLayers;
 import org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect;
@@ -65,10 +63,6 @@
 	 * @see org.gvsig.andami.plugins.IExtension#initialize()
 	 */
 	public void initialize() {
-		PluginServices.getIconTheme().registerDefault(
-				"view-redo",
-				this.getClass().getClassLoader().getResource("images/Redo.png")
-			);
 	}
 
 	/**
@@ -78,30 +72,19 @@
 		DefaultViewPanel vista = (DefaultViewPanel) PluginServices.getMDIManager().getActiveWindow();
 		MapControl mapControl = vista.getMapControl();
 
-		if (s.compareTo("REDO") == 0) {
+		if (s.compareTo("edit-redo-layer") == 0) {
 			try {
 					FLayers layers=mapControl.getMapContext().getLayers();
 					for (int i=0;i<layers.getLayersCount();i++){
 						if (layers.getLayer(i) instanceof FLyrVect && layers.getLayer(i).isEditing() && layers.getLayer(i).isActive()){
 							((FLyrVect)layers.getLayer(i)).getFeatureStore().redo();
-//							CommandsRecord commandsRecord=((FLyrVect)layers.getLayer(i)).getFeatureStore().getCommandsRecord();
-//							commandsRecord.redo();
 							mapControl.drawMap(false);
-//							vea.getCommandRecord().fireCommandsRepaint(null);
-//							vea.getSelection().clear();
-//							CADExtension.getCADTool().clearSelection();
 						}
 
 					}
-//			} catch (ReadException e) {
-//				NotificationManager.addError(e.getMessage(),e);
-//			} catch (DataException e) {
-//				NotificationManager.addError(e.getMessage(),e);
 			} catch (RedoException e) {
 				NotificationManager.addError(e.getMessage(),e);
 			}
-
-			//vista.getMapControl().drawMap(false);
 		}
 	}
 
Index: branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/CADExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/CADExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/CADExtension.java	(revision 38564)
@@ -55,6 +55,7 @@
 import javax.swing.KeyStroke;
 import javax.swing.text.JTextComponent;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.PluginsLocator;
 import org.gvsig.andami.PluginsManager;
@@ -84,6 +85,8 @@
 import org.gvsig.utils.console.JConsole;
 import org.gvsig.utils.console.ResponseListener;
 import org.gvsig.utils.console.jedit.JEditTextArea;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 
 /**
@@ -93,6 +96,8 @@
  * @author Vicente Caballero Navarro
  */
 public class CADExtension extends Extension implements IPreferenceExtension{
+	private static Logger logger = LoggerFactory.getLogger(CADExtension.class);
+	
 	private static HashMap adapters=new HashMap();
 
 	private static DefaultViewPanel view;
@@ -207,47 +212,19 @@
     }
 
     private void registerIcons(){
-		PluginServices.getIconTheme().registerDefault(
-				"edition-geometry-copy",
-				this.getClass().getClassLoader().getResource("images/Copy.png")
-			);
-
-		PluginServices.getIconTheme().registerDefault(
-				"edition-geometry-symmetry",
-				this.getClass().getClassLoader().getResource("images/Symmetry.png")
-			);
-
-		PluginServices.getIconTheme().registerDefault(
-				"edition-geometry-rotate",
-				this.getClass().getClassLoader().getResource("images/Rotation.png")
-			);
-
-		PluginServices.getIconTheme().registerDefault(
-				"edition-geometry-scale",
-				this.getClass().getClassLoader()
-						.getResource("images/Scale.png"));
-
-		PluginServices.getIconTheme().registerDefault(
-				"edition-properties",
-				CADExtension.class.getClassLoader().getResource(
-						"images/EditingProperties.png"));
-
-		PluginServices.getIconTheme().registerDefault(
-				"field-expresion",
-				CADExtension.class.getClassLoader().getResource(
-						"images/FieldExpresion.png"));
-		PluginServices.getIconTheme().registerDefault(
-				"flatness-icon",
-				CADExtension.class.getClassLoader().getResource(
-						"images/Flatness.png"));
-		PluginServices.getIconTheme().registerDefault(
-				"grid-icon",
-				CADExtension.class.getClassLoader().getResource(
-						"images/Grid.png"));
-		PluginServices.getIconTheme().registerDefault(
-				"snapper-icon",
-				CADExtension.class.getClassLoader().getResource(
-						"images/Snapper.png"));
+    	IconThemeHelper.registerIcon("action", "layer-modify-copy", this);
+    	IconThemeHelper.registerIcon("action", "layer-modify-symmetry", this);
+    	IconThemeHelper.registerIcon("action", "layer-modify-rotate", this);
+    	IconThemeHelper.registerIcon("action", "layer-modify-scale", this);
+    	IconThemeHelper.registerIcon("action", "layer-modify-edit-vertex", this);
+    	IconThemeHelper.registerIcon("action", "layer-modify-join", this);
+    	IconThemeHelper.registerIcon("action", "layer-modify-matrix", this);
+    	IconThemeHelper.registerIcon("action", "layer-modify-move", this);
+    	IconThemeHelper.registerIcon("action", "layer-modify-rotate", this);
+    	IconThemeHelper.registerIcon("action", "layer-modify-stretch", this);
+    	
+    	
+    	IconThemeHelper.registerIcon("preferences", "preferences-layer-modify-flatness", this);
 	}
 
 	/**
@@ -255,16 +232,29 @@
 	 */
 	public void execute(String s) {
 		initFocus();
-
-		if (s.equals("_spline") || s.equals("_copy")
-				|| s.equals("_equidistance") || s.equals("_matriz")
-				|| s.equals("_symmetry") || s.equals("_rotate")
-				|| s.equals("_stretch") || s.equals("_scale")
-				|| s.equals("_extend") || s.equals("_trim")
-				|| s.equals("_unit")
-				|| s.equals("_chaflan") || s.equals("_join")) {
-			setCADTool(s, true);
-		}
+    	if( "layer-modify-copy".equalsIgnoreCase(s) ) {
+    		setCADTool("_copy", true);
+    	} else if( "layer-modify-symmetry".equalsIgnoreCase(s) ) {
+    		setCADTool("_symmetry", true);
+    	} else if( "layer-modify-rotate".equalsIgnoreCase(s) ) {
+    		setCADTool("_rotate", true);
+    	} else if( "layer-modify-scale".equalsIgnoreCase(s) ) {
+    		setCADTool("_scale", true);
+    	} else if( "layer-modify-edit-vertex".equalsIgnoreCase(s) ) {
+    		setCADTool("_editvertex", true);
+    	} else if( "layer-modify-join".equalsIgnoreCase(s) ) {
+    		setCADTool("_join", true);
+    	} else if( "layer-modify-matrix".equalsIgnoreCase(s) ) {
+    		setCADTool("_matriz", true);
+    	} else if( "layer-modify-move".equalsIgnoreCase(s) ) {
+    		setCADTool("_move", true);
+    	} else if( "layer-modify-rotate".equalsIgnoreCase(s) ) {
+    		setCADTool("_rotate", true);
+    	} else if( "layer-modify-stretch".equalsIgnoreCase(s) ) {
+    		setCADTool("_stretch", true);
+    	} else {
+    		logger.info("Action command '"+s+"' not supportted in "+this.getClass().getName());
+    	}
 		CADToolAdapter cta=getCADToolAdapter();
 		cta.configureMenu();
 	}
Index: branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/InsertMultiPointExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/InsertMultiPointExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/InsertMultiPointExtension.java	(revision 38564)
@@ -40,6 +40,7 @@
  */
 package org.gvsig.editing;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.plugins.Extension;
@@ -70,10 +71,7 @@
     }
 
     private void registerIcons(){
-    	PluginServices.getIconTheme().registerDefault(
-				"edition-insert-geometry-multipoint",
-				this.getClass().getClassLoader().getResource("images/MultiPoint.png")
-			);
+    	IconThemeHelper.registerIcon("action", "layer-insert-multipoint", this);
 
     }
     /**
@@ -82,7 +80,7 @@
     public void execute(String s) {
     	CADExtension.initFocus();
 
-        if (s.equals("_multipoint")) {
+        if (s.equals("layer-insert-multipoint")) {
         	CADExtension.setCADTool("_multipoint",true);
         	CADExtension.getEditionManager().setMapControl(mapControl);
         }
Index: branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/ComplexSelectionGeometryExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/ComplexSelectionGeometryExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/extEditing/src/org/gvsig/editing/ComplexSelectionGeometryExtension.java	(revision 38564)
@@ -40,7 +40,7 @@
  */
 package org.gvsig.editing;
 
-import org.gvsig.andami.PluginServices;
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.plugins.Extension;
 import org.gvsig.editing.gui.cad.tools.ComplexSelectionCADTool;
@@ -70,10 +70,7 @@
 	}
 
 	private void registerIcons(){
-		PluginServices.getIconTheme().registerDefault(
-				"edition-complex-selection",
-				this.getClass().getClassLoader().getResource("images/ComplexSelCAD.png")
-			);
+		IconThemeHelper.registerIcon("action", "selection-complex", this);
 	}
 
 	/**
@@ -81,7 +78,7 @@
 	 */
 	public void execute(String s) {
 		CADExtension.initFocus();
-		if (s.equals("_complex_selection")) {
+		if (s.equals("selection-complex")) {
         	CADExtension.setCADTool("_complex_selection",true);
         }
 		CADExtension.getEditionManager().setMapControl(mapControl);
Index: branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/project/documents/table/TableManager.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/project/documents/table/TableManager.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/project/documents/table/TableManager.java	(revision 38564)
@@ -33,6 +33,7 @@
 
 import javax.swing.ImageIcon;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.ui.mdiManager.IWindow;
@@ -159,28 +160,9 @@
         // ProjectFactory.getInstance().registerDocumentAction(TYPENAME,"paste",new
         // PasteDocumentContextMenuAction());
 
-        PluginServices.getIconTheme().registerDefault("document-table-icon",
-            AddLayer.class.getClassLoader().getResource("images/tablas.png"));//
+        IconThemeHelper.registerIcon("document", "document-table-icon", TableManager.class);
+        IconThemeHelper.registerIcon("document", "document-table-icon-sel", TableManager.class);
 
-        PluginServices.getIconTheme().registerDefault(
-            "document-table-icon-sel",
-            AddLayer.class.getClassLoader()
-                .getResource("images/tablas_sel.png"));
-
-        PluginServices.getIconTheme().registerDefault("edit-copy",
-            AddLayer.class.getClassLoader().getResource("images/editcopy.png"));//
-        PluginServices.getIconTheme().registerDefault("edit-cut",
-            AddLayer.class.getClassLoader().getResource("images/editcut.png"));
-        PluginServices.getIconTheme()
-            .registerDefault(
-                "edit-paste",
-                AddLayer.class.getClassLoader().getResource(
-                    "images/editpaste.png"));
-        PluginServices.getIconTheme().registerDefault(
-            "edit-delete",
-            AddLayer.class.getClassLoader()
-                .getResource("images/editdelete.png"));
-
         PersistenceManager manager = ToolsLocator.getPersistenceManager();
         manager.registerFactory(factory);
 
Index: branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/project/documents/table/gui/FeatureTableDocumentPanel.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/project/documents/table/gui/FeatureTableDocumentPanel.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/project/documents/table/gui/FeatureTableDocumentPanel.java	(revision 38564)
@@ -26,13 +26,9 @@
  */
 package org.gvsig.app.project.documents.table.gui;
 
-import java.lang.reflect.InvocationTargetException;
 
 import javax.swing.SwingUtilities;
 
-import org.slf4j.Logger;
-import org.slf4j.LoggerFactory;
-
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.ui.mdiManager.IWindowTransform;
 import org.gvsig.andami.ui.mdiManager.WindowInfo;
@@ -47,6 +43,8 @@
 import org.gvsig.fmap.mapcontrol.dal.feature.swing.table.notification.ColumnHeaderSelectionChangeNotification;
 import org.gvsig.tools.observer.Observable;
 import org.gvsig.tools.observer.Observer;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 /**
  * Feature table visualization panel.
Index: branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/FiltroExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/FiltroExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/FiltroExtension.java	(revision 38564)
@@ -25,6 +25,7 @@
 
 import javax.swing.JOptionPane;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.plugins.Extension;
@@ -56,12 +57,11 @@
     }
 
     private void registerIcons() {
-        PluginServices.getIconTheme().registerDefault("table-filter",
-            this.getClass().getClassLoader().getResource("images/Filtro.png"));
+    	IconThemeHelper.registerIcon("action", "table-filter", this);
     }
 
     public void execute(String actionCommand) {
-        if ("FILTRO".equals(actionCommand)) {
+        if ("table-filter".equals(actionCommand)) {
             IWindow v = PluginServices.getMDIManager().getActiveWindow();
 
             if (v instanceof FeatureTableDocumentPanel) {
Index: branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/RedoTableExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/RedoTableExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/RedoTableExtension.java	(revision 38564)
@@ -40,14 +40,9 @@
      * @see org.gvsig.andami.plugins.IExtension#initialize()
      */
     public void initialize() {
-        registerIcons();
     }
 
-    private void registerIcons() {
 
-        PluginServices.getIconTheme().registerDefault("table-redo",
-            this.getClass().getClassLoader().getResource("images/Redo.png"));
-    }
 
     /**
      * @see org.gvsig.andami.plugins.IExtension#execute(java.lang.String)
@@ -57,7 +52,7 @@
             (FeatureTableDocumentPanel) PluginServices.getMDIManager()
                 .getActiveWindow();
 
-        if (s.compareTo("REDO") == 0) {
+        if ( "edit-redo-table".equalsIgnoreCase(s)) {
             if (tabla.getModel().getStore().isEditing()) {
                 FeatureStore fs = tabla.getModel().getStore();
                 try {
Index: branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableFieldOperations.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableFieldOperations.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableFieldOperations.java	(revision 38564)
@@ -21,6 +21,7 @@
  */
 package org.gvsig.app.extension;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.plugins.Extension;
 import org.gvsig.andami.ui.mdiManager.IWindow;
@@ -42,22 +43,10 @@
      * @see org.gvsig.andami.plugins.IExtension#initialize()
      */
     public void initialize() {
-        registerIcons();
+        IconThemeHelper.registerIcon("action", "table-order-desc", this);
+        IconThemeHelper.registerIcon("action", "table-order-asc", this);
     }
 
-    private void registerIcons() {
-        PluginServices.getIconTheme()
-            .registerDefault(
-                "table-order-asc",
-                this.getClass().getClassLoader()
-                    .getResource("images/orderasc.png"));
-
-        PluginServices.getIconTheme().registerDefault(
-            "table-order-desc",
-            this.getClass().getClassLoader()
-                .getResource("images/orderdesc.png"));
-    }
-
     /**
      * @see org.gvsig.andami.plugins.IExtension#execute(java.lang.String)
      */
@@ -80,11 +69,11 @@
         ConfigurableFeatureTableModel cftm =
             table.getTablePanel().getTableModel();
         try {
-            if ("ORDERASC".equals(actionCommand)) {
+            if ("table-order-asc".equals(actionCommand)) {
                 cftm.orderByColumn(table.getTablePanel().getTable()
                     .getSelectedColumnsAttributeDescriptor()[0].getName(), true);
             } else
-                if ("ORDERDESC".equals(actionCommand)) {
+                if ("table-order-desc".equals(actionCommand)) {
                     cftm.orderByColumn(table.getTablePanel().getTable()
                         .getSelectedColumnsAttributeDescriptor()[0].getName(),
                         false);
Index: branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableEditStopExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableEditStopExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableEditStopExtension.java	(revision 38564)
@@ -26,6 +26,7 @@
 
 import javax.swing.JOptionPane;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.plugins.IExtension;
@@ -47,18 +48,17 @@
 
 public class TableEditStopExtension extends AbstractTableEditExtension {
 
-    /**
-     * @see org.gvsig.andami.plugins.IExtension#execute(java.lang.String)
-     */
+	public void initialize() {
+		super.initialize();
+		IconThemeHelper.registerIcon("action", "table-stop-editing", this);
+	}
+	
     public void execute(String actionCommand) {
-        if ("STOPEDITING".equals(actionCommand)) {
+        if ("table-stop-editing".equals(actionCommand)) {
             stopEditing(table);
         }
     }
 
-    /**
-     * DOCUMENT ME!
-     */
     public void stopEditing(FeatureTableDocumentPanel table) {
         // FIXME
         int resp =
Index: branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableEditRemoveRowExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableEditRemoveRowExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableEditRemoveRowExtension.java	(revision 38564)
@@ -21,6 +21,7 @@
  */
 package org.gvsig.app.extension;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.fmap.dal.exception.DataException;
 
 /**
@@ -30,11 +31,15 @@
  */
 public class TableEditRemoveRowExtension extends AbstractTableEditExtension {
 
+	public void initialize() {
+		super.initialize();
+		IconThemeHelper.registerIcon("action", "table-remove-row", this);
+	}
     /**
      * @see org.gvsig.andami.plugins.IExtension#execute(java.lang.String)
      */
     public void execute(String actionCommand) {
-        if ("REMOVEROW".equals(actionCommand)) {
+        if ("table-remove-row".equals(actionCommand)) {
             try {
                 featureTableOperations.setStore(table.getModel().getStore());
                 featureTableOperations.deleteFeatures();
Index: branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableEditChangeColumnsExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableEditChangeColumnsExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableEditChangeColumnsExtension.java	(revision 38564)
@@ -21,6 +21,7 @@
  */
 package org.gvsig.app.extension;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.fmap.dal.exception.DataException;
@@ -32,21 +33,27 @@
  */
 public class TableEditChangeColumnsExtension extends AbstractTableEditExtension {
 
+	public void initialize() {
+		super.initialize();
+		IconThemeHelper.registerIcon("action", "table-add-column", this);
+		IconThemeHelper.registerIcon("action", "table-rename-column", this);
+		IconThemeHelper.registerIcon("action", "table-remove-column", this);
+	}
     /**
      * @see org.gvsig.andami.plugins.IExtension#execute(java.lang.String)
      */
     public void execute(String actionCommand) {
         try {
             featureTableOperations.setStore(table.getModel().getStore());
-            if ("REMOVECOLUMN".equals(actionCommand)) {
+            if ("table-remove-column".equals(actionCommand)) {
                 featureTableOperations.deleteAttributes(table.getTablePanel()
                     .getTable());
             } else
-                if ("ADDCOLUMN".equals(actionCommand)) {
+                if ("table-add-column".equals(actionCommand)) {
                     featureTableOperations.insertAttributes(table
                         .getTablePanel().getTable());
                 } else
-                    if ("RENAMECOLUMN".equals(actionCommand)) {
+                    if ("table-rename-column".equals(actionCommand)) {
                         featureTableOperations.renameAttributes(table
                             .getTablePanel().getTable());
                     }
Index: branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableEditAttributes.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableEditAttributes.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableEditAttributes.java	(revision 38564)
@@ -21,6 +21,7 @@
  */
 package org.gvsig.app.extension;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.plugins.Extension;
@@ -45,21 +46,24 @@
      * @see com.iver.mdiApp.plugins.IExtension#updateUI(java.lang.String)
      */
     public void execute(String s) {
-        TableDocument pt = table.getModel();
-        FeatureStore fs = pt.getStore();
-        try {
-            PluginServices.getMDIManager().addWindow(
-                new FeatureTypeEditingPanel(fs));
-        } catch (DataException e) {
-            NotificationManager.addError(
-                PluginServices.getText(this, "create_editabletype"), e);
-        }
+    	if( "table-column-manager".equalsIgnoreCase(s)) {
+	        TableDocument pt = table.getModel();
+	        FeatureStore fs = pt.getStore();
+	        try {
+	            PluginServices.getMDIManager().addWindow(
+	                new FeatureTypeEditingPanel(fs));
+	        } catch (DataException e) {
+	            NotificationManager.addError(
+	                PluginServices.getText(this, "create_editabletype"), e);
+	        }
+    	}
     }
 
     /**
      * @see org.gvsig.andami.plugins.IExtension#initialize()
      */
     public void initialize() {
+    	IconThemeHelper.registerIcon("action", "table-column-manager", this);
     }
 
     public boolean isEnabled() {
Index: branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/PrintTable.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/PrintTable.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/PrintTable.java	(revision 38564)
@@ -31,6 +31,7 @@
 
 import javax.swing.JTable;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.messages.NotificationManager;
 import org.gvsig.andami.plugins.Extension;
@@ -47,26 +48,12 @@
 
     private JTable table = null;
 
-    /**
-     * DOCUMENT ME!
-     */
     public void initialize() {
-        registerIcons();
+    	IconThemeHelper.registerIcon("action", "document-print", this);
     }
 
-    private void registerIcons() {
-        PluginServices.getIconTheme().registerDefault("document-print",
-            this.getClass().getClassLoader().getResource("images/print.png"));
-    }
-
-    /**
-     * DOCUMENT ME!
-     * 
-     * @param actionCommand
-     *            DOCUMENT ME!
-     */
     public void execute(String s) {
-        if (s.compareTo("PRINTTABLE") == 0) {
+        if (s.compareTo("application-print-table") == 0) {
             IWindow f = PluginServices.getMDIManager().getActiveWindow();
             try {
                 table =
Index: branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableEditCutExtension.java
===================================================================
--- branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableEditCutExtension.java	(revision 38563)
+++ branches/v2_0_0_prep/extensions/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableEditCutExtension.java	(revision 38564)
@@ -21,7 +21,6 @@
  */
 package org.gvsig.app.extension;
 
-import org.gvsig.andami.PluginServices;
 import org.gvsig.fmap.dal.exception.DataException;
 
 /**
@@ -36,19 +35,13 @@
      */
     public void initialize() {
         super.initialize();
-        registerIcons();
     }
 
-    private void registerIcons() {
-        PluginServices.getIconTheme().registerDefault("edit-cut",
-            this.getClass().getClassLoader().getResource("images/editcut.png"));
-    }
-
     /**
      * @see org.gvsig.andami.plugins.IExtension#execute(java.lang.String)
      */
     public void execute(String actionCommand) {
-        if ("CUT".equals(actionCommand)) {
+        if ("edit-cut-table".equals(actionCommand)) {
             try {
                 featureTableOperations.setStore(table.getModel().getStore());
                 featureTableOperations.cutFeatures();
